Module::Install::AutoManifest(3pm)

NAME
Module::Install::AutoManifest - generate MANIFEST automatically

VERSION
Version 0.003

SYNOPSIS
In Makefile.PL:

  auto_manifest;

In MANIFEST.SKIP:

  # put your list of patterns here
  ^\.git/
  ^your-crazy-files-whatever$

In MANIFEST:

  Nothing, remove it

METHODS

  auto_manifest
This extension to Module::Install adds behavior for automatically generating MANIFEST.

Before "make distdir", "make manifest" will be run for you automatically. Likewise, "make distclean" will remove your automatically-generated MANIFEST.

AUTHOR
Hans Dieter Pearcey, "<hdp at cpan.org>"

BUGS
Please report any bugs or feature requests to "bug-module-install-automanifest at rt.cpan.org", or through the web interface at <http://rt.cpan.org/NoAuth/ReportBug.html?Queue=Module-Install-AutoManifest>. I will be notified, and then you'll automatically be notified of progress on your bug as I make changes.

SUPPORT
You can find documentation for this module with the perldoc command.

    perldoc Module::Install::AutoManifest

You can also look for information at:

•   RT: CPAN's request tracker

    <http://rt.cpan.org/NoAuth/Bugs.html?Dist=Module-Install-AutoManifest>

•   AnnoCPAN: Annotated CPAN documentation

    <http://annocpan.org/dist/Module-Install-AutoManifest>

•   CPAN Ratings

    <http://cpanratings.perl.org/d/Module-Install-AutoManifest>

•   Search CPAN

    <http://search.cpan.org/dist/Module-Install-AutoManifest>

SEE ALSO
Module::Install

COPYRIGHT & LICENSE
Copyright 2008 Hans Dieter Pearcey, all rights reserved.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.